Skip to main content
GET
/
consumers
/
{consumer_id}
/
invoicing
/
contacts
/
{contact_id}
Retrieve one contact
curl --request GET \
  --url https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts/{contact_id}
import requests

url = "https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts/{contact_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "source_ref": {
    "id": "<string>",
    "model": "<string>"
  },
  "is_prospect": true,
  "is_customer": true,
  "is_supplier": true,
  "is_company": true,
  "company_name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "phone": "<string>",
  "mobile": "<string>",
  "company_id": "<string>",
  "vat": "<string>",
  "company_number": "<string>",
  "currency": "<string>",
  "language": "<string>",
  "comment": "<string>",
  "customer_account_number": "<string>",
  "supplier_account_number": "<string>",
  "birthdate": "2023-12-25",
  "addresses": [],
  "external_reference": "<string>"
}
{
"message": "Error while trying to perform your request",
"status": "error"
}
{
"message": "The contact doesn't exist.",
"status": "error"
}
{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

consumer_id
string<uuid>
required
contact_id
string
required

Response

Successful Response

id
string
required

Technical id in Chift

source_ref
Ref · object
required

Technical id in the target software

is_prospect
boolean | null

Is a prospect?

is_customer
boolean | null

Is a customer?

is_supplier
boolean | null

Is a supplier?

is_company
boolean | null

Is a company?

company_name
string | null

Name of the company

first_name
string | null

Firstname

last_name
string | null

Lastname

email
string | null

Email

phone
string | null

Phone

mobile
string | null

Mobile

company_id
string | null

Technical id of the contact' company in Chift

vat
string | null

VAT number

company_number
string | null

Company number (identification number different than the VAT (e.g. siret))

currency
string | null

Currency matching target sofware name

language
string | null

Language matching target sofware name

comment
string | null

Comment

customer_account_number
string | null

Number of the accounting account used for sales (e.g. 701000)

supplier_account_number
string | null

Number of the accounting account used for purchases (e.g. 601000)

birthdate
string<date> | null

Birthdate

gender
enum<string> | null

Gender

Available options:
H,
F,
N/A
addresses
AddressItemOutInvoicing · object[] | null

Addresses

external_reference
string | null

External reference of the contact in the invoicing system